Package Details: mingw-w64-qwt 6.1.3-1

Git Clone URL: (read-only)
Package Base: mingw-w64-qwt
Description: Qt Widgets for Technical Applications (mingw-w64)
Upstream URL:
Licenses: custom:qwt
Submitter: neitrino
Maintainer: xantares
Last Packager: xantares
Votes: 2
Popularity: 0.000000
First Submitted: 2013-08-13 11:56
Last Updated: 2016-08-06 10:00

Dependencies (2)

Required by (0)

Sources (1)

Latest Comments

xantares commented on 2015-01-08 14:41

it's ok, but the indentation is weird, and flags are uselessly unset.

the import library should be named libqwt.dll.a instead of libqwt.a in to differenciate the static library.
you could also build the static lib.
you can check out how it's done in mingw-w64-qwt5 if you want.



neitrino commented on 2015-01-08 11:50

Check it

xantares commented on 2015-01-07 19:38

I initially renamed all my dlls, but in the end I kept the native name.
Would you revert, sorry for the noise.

neitrino commented on 2015-01-07 19:07

Please check now

xantares commented on 2014-02-27 09:06


could we rename the dll to the standard mingw convention: libqwt-6.dll ?


+++ PKGBUILD 2014-02-27 09:02:45.812685640 +0000
@@ -49,7 +49,8 @@
sed -i "s|= target doc|= target|" src/

+ make src/Makefile
+ sed -i "s|qwt.dll|libqwt-6.dll|" src/Makefile.Release

stas commented on 2013-12-17 09:23


You are right, there is no respective patch in qwt arch package because it is not required there. There is a difference in mingw-w64-qt4 that it defines QT_LIBINFIX in qmake.conf (see PKGBUILD), while the 'qt4' arch package does not define it. Hence the difference in qwt compilation.

Anyway, it may save somebody time. No need to worry if it is just me affected by this.

neitrino commented on 2013-12-17 09:09

was worked with qt4. I think there are two options
1. Make package from svn.
2. Wait for next release.
patch is workaround, but in arch dist package I didn't see any patch.

Thanks for investigation.

stas commented on 2013-12-12 11:39

Hello, does it work well for you?

I had to apply this upstream patch in order to build my projects configured with "CONFIG+=qwt".

Relevant discussion: .

Patch: .

xantares commented on 2013-11-15 14:17

Yes, I did, see mingw-w64-testsuite.

xantares commented on 2013-11-15 14:16

Yes, I did.

All comments